# Generated by go2rpm
%bcond_without check

# https://github.com/opentracing-contrib/go-observer
%global goipath         github.com/opentracing-contrib/go-observer
%global commit          a52f2342449246d5bcc273e65cbdcfa5f7d6c63c

%gometa

%global common_description %{expand:
OTObserver can be used to watch the span events like StartSpan(),
SetOperationName(), SetTag() and Finish(). A need for observers arose when
information (metrics) more than just the latency information was required for
the spans, in the distributed tracers. But, there can be a lot of metrics in
different domains and adding such metrics to any one (client) tracer breaks
cross-platform compatibility. There are various ways to avoid such issues,
however, an observer pattern is cleaner and provides loose coupling between the
packages exporting metrics (on span events) and the tracer.

This information can be in the form of hardware metrics, RPC metrics, useful
metrics exported out of the kernel or other metrics, profiled for a span. These
additional metrics can help us in getting better Root-cause analysis. With that
being said, its not just for calculation of metrics, it can be used for anything
which needs watching the span events.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.9%{?dist}
Summary:        Observer API for OpenTracing-Go Tracers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/opentracing/opentracing-go)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 02:27:27 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190701gita52f234
- Initial package
